import { createRouter, createWebHistory } from 'vue-router';

const routes = [
  { path: '/', component: () => import('@/views/Index.vue') },
  { path: '/preview', component: () => import('@/views/Preview.vue') },
  { path: '/env-area', component: () => import('@/views/EnvArea/Index.vue') },
  { path: '/env-area/preview', component: () => import('@/views/EnvArea/Preview.vue') },
];

// console.log(import.meta.env.BASE_URL, import.meta.env);

const router = createRouter({
  history: createWebHistory('/v/'),
  routes,
});

export default router;
